Arch Niveaux

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Floor and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎português • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Page précédente : Arch Rebar.svg Armature personnalisée
Page suivante : Partie de bâtiment Arch BuildingPart.svg Arrow-right.svg

Arch Floor.svg Arch Niveaux

Emplacement du menu
Arch → Niveau
Ateliers
Arch
Raccourci par défaut
L V
Introduit dans la version
-
Voir aussi
Arch Bâtiment, Arch Partie de bâtiment, Arch Site


Description

Niveaux est un type spécial d'objet de groupe FreeCAD qui possède quelques propriétés supplémentaires particulièrement adaptées pour la construction de niveaux. En particulier, ils ont une propriété height (hauteur), que ses objets enfants (Arch murs et Arch structures) peuvent utiliser pour définir automatiquement leur propre hauteur. Ils sont principalement utilisés pour organiser votre modèle.

À partir de v0.18 et suivantes, l'atelier Niveaux (Arch Floor) est entièrement dérivé de l'objet Arch Partie de bâtiment qui est un conteneur général permettant d'organiser un modèle de construction ne se limitant pas aux niveaux ou aux étages. Les anciens objets Floor peuvent être convertis dans le nouveau type en cliquant dessus avec le bouton droit de la souris et en choisissant Convert to BuildingPart.

Utilisation

  1. Sélectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau niveau.
  2. Appelez la commande Arch Niveau de plusieurs manières:
    • En appuyant sur le bouton Arch Floor.svg Arch Niveau dans la barre d'outils.
    • Utilisation des touches L puis V.
    • Utilisation de l'entrée Arch → Niveau dans le menu supérieur.

Options

  • Après la création du niveau, vous devez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue 3D ou utilisez l'outil Arch Add.svg Arch Ajouter un composant.
  • Vous pouvez supprimer des objets d'un niveau en les faisant glisser et en les déposant dans l'arborescence ou en utilisant l'outil Arch Remove.svg Arch Supprimer un composant.

Propriétés

Un objet Niveau (Arch Floor) partage toutes les propriétés d'un objet Arch Partie de bâtiment avec DataIfc Role défini sur "Building Storey".

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil Niveau peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Crée un objet Floor à partir de objectlist qui est une liste d'objets.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Arch Rebar.svg Armature personnalisée
Page suivante : Partie de bâtiment Arch BuildingPart.svg Arrow-right.svg